diff --git a/web/regression/feature_utils/pgadmin_page.py b/web/regression/feature_utils/pgadmin_page.py
index 32ea85f..cce6a27 100644
--- a/web/regression/feature_utils/pgadmin_page.py
+++ b/web/regression/feature_utils/pgadmin_page.py
@@ -1178,10 +1178,14 @@ class PgadminPage:
         :param el:
         """
         actions = ActionChains(self.driver)
+        if "platform" in self.driver.capabilities:
+            platform = (self.driver.capabilities["platform"]).lower()
+        elif "platformName" in self.driver.capabilities:
+            platform = (self.driver.capabilities["platformName"]).lower()
         if el:
             # Must step
             el.click()
-            if self.driver.capabilities["platformName"] == 'mac':
+            if 'mac' in platform:
                 # FF step
                 el.send_keys(Keys.COMMAND + "v")
                 # Chrome Step
